Document requirement for ipaddr and bitarray modules
authorMichael Hanselmann <hansmi@google.com>
Wed, 21 Nov 2012 01:42:00 +0000 (02:42 +0100)
committerMichael Hanselmann <hansmi@google.com>
Wed, 21 Nov 2012 06:21:39 +0000 (07:21 +0100)
Also update configure.ac.

Signed-off-by: Michael Hanselmann <hansmi@google.com>
Reviewed-by: Guido Trotter <ultrotter@google.com>

INSTALL
configure.ac

diff --git a/INSTALL b/INSTALL
index 44088b6..a2b9cc5 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -49,6 +49,9 @@ Before installing, please verify that you have the following programs:
   if running on python 2.4 (optional, used by the ``ovfconverter`` tool)
 - `qemu-img <http://qemu.org/>`_, if you want to use ``ovfconverter``
 - `fping <http://fping.sourceforge.net/>`_
+- `Python IP address manipulation library
+  <http://code.google.com/p/ipaddr-py/>`_
+- `Bitarray Python library <http://pypi.python.org/pypi/bitarray/>`_
 
 These programs are supplied as part of most Linux distributions, so
 usually they can be installed via the standard package manager. Also
index 7192773..7bf9580 100644 (file)
@@ -720,6 +720,8 @@ AC_PYTHON_MODULE(simplejson, t)
 AC_PYTHON_MODULE(pyparsing, t)
 AC_PYTHON_MODULE(pyinotify, t)
 AC_PYTHON_MODULE(pycurl, t)
+AC_PYTHON_MODULE(bitarray, t)
+AC_PYTHON_MODULE(ipaddr, t)
 AC_PYTHON_MODULE(affinity)
 AC_PYTHON_MODULE(paramiko)